;+
; NAME: base_object__define.pro
;
; PURPOSE: Definition of the base object which is the base for all EIS components
;
; CATEGORY: Science
;
; CALLING SEQUENCE: None
;
; INPUTS: None
;
; KEYWORD PARAMETERS: None
;
; OUTPUTS: None
;
; CALLS: None
;
; COMMON BLOCKS:None.
;
; PROCEDURE:
;
; RESTRICTIONS: Uses SolarSoft
;
; MODIFICATION HISTORY:
;	23/11/05 mcrw	wrote
;       14/08/06 mcrw	added documentation
;
;-

function base_object::INIT, trace=trace
  print, 'base_object::INIT'
  self->clear_errors
  self->set_name, 'base_object'
  self->set_version, '0.0'
  self->set_base_version, '0.1'
  self.verbose = 0
  self.trace = 0
  if keyword_set(trace) then begin
     message, 'TRACE ON', /info
     self->trace_on
  endif
  self->trace, 'base_object::INIT'
  return, 1
end




